Last Comment Bug 417851 - get rid of access check in ComputeGlobalThis
: get rid of access check in ComputeGlobalThis
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: JavaScript Engine (show other bugs)
: Trunk
: All All
: -- normal (vote)
: ---
Assigned To: Blake Kaplan (:mrbkap)
:
:
Mentors:
Depends on:
Blocks: 395993
  Show dependency treegraph
 
Reported: 2008-02-15 17:40 PST by Brendan Eich [:brendan]
Modified: 2012-03-16 09:31 PDT (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description Brendan Eich [:brendan] 2008-02-15 17:40:55 PST
Blake is the man.

/be
Comment 1 Henrik Skupin (:whimboo) [away 09/30 - 10/06] 2008-02-18 12:04:13 PST
Brendan, I can reproduce a crash on exact this lines. Running Venkman and setting a breakpoint at applicationManager.js/appManager_onOk()/"if (!this...)

(gdb) frame 0
#0  JS_Assert (s=0x110e554 "!fp->thisp && fp->argv == argv", file=0x110e124 "/Users/henrik/Projects/mozilla/source/mozilla/js/src/jsinterp.c", ln=928) at /Users/henrik/Projects/mozilla/source/mozilla/js/src/jsutil.c:63
63	    abort();
(gdb) frame 1
#1  0x010626e1 in ComputeGlobalThis (cx=0x3e1162f0, lazy=1, argv=0x3d98778c) at /Users/henrik/Projects/mozilla/source/mozilla/js/src/jsinterp.c:928
928	            JS_ASSERT(!fp->thisp && fp->argv == argv);
(gdb) p fp->thisp
$1 = (JSObject *) 0x3a2be620
(gdb) p fp->argv
$2 = (jsval *) 0x3d98781c
(gdb) p argv
$3 = (jsval *) 0x3d98778c

Should I file that as a new bug or can it be covered here?
Comment 2 Blake Kaplan (:mrbkap) 2008-02-18 12:25:53 PST
Henrik, please file a new bug, CC brendan and me. Thanks.
Comment 3 Blake Kaplan (:mrbkap) 2012-03-16 09:31:59 PDT
This actually got fixed quite a while ago.

Note You need to log in before you can comment on or make changes to this bug.